Skip to main content
POST
/
statutory_withholding_line_items
Create a statutory withholding line item
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pay_stub_id": "<id>",
  "statutory_withholding_type": "federal_income_tax"
}
'
{
  "id": "<id>",
  "object": "statutory_withholding_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "line_item_type": "statutory_withholding",
    "is_system": false,
    "is_managed": true,
    "amount": 0,
    "custom_amount": null,
    "managed_amount": 0,
    "statutory_withholding_type": {
      "id": "<id>",
      "object": "statutory_withholding_type",
      "data": {
        "type": "federal_income_tax",
        "label": "Federal Income Tax"
      },
      "links": {
        "self": "/statutory_withholding_types/federal_income_tax"
      }
    },
    "title": "Federal Income Tax",
    "title_translations": {
      "en": "Federal Income Tax",
      "fr": "Impôt fédéral"
    },
    "title_translated": "Federal Income Tax",
    "remittance_account": {
      "id": "<id>",
      "object": "remittance_account",
      "links": {
        "self": "/remittance_accounts/<id>"
      }
    },
    "source_adjustment": null,
    "business_preset": {
      "id": "<id>",
      "object": "business_preset",
      "links": {
        "self": "/business_presets/<id>"
      }
    },
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "component_settings": {
      "attributes_locked": false
    },
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/statutory_withholding_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
pay_stub_id
string
required
business_preset_id
string
statutory_withholding_type
enum<string>

The type of statutory withholding for this line item.

Must be present when business_preset_id is either empty or not set.

Available options:
cpp,
cpp_2,
ei,
federal_income_tax,
provincial_income_tax,
qpip,
qpp,
qpp_2,
territorial_income_tax
custom_amount
number<decimal>

An override for managed_amount. When set, amount reflects this value instead of managed_amount.

Required range: x <= 999999
title
string | null
Maximum string length: 255
title_translations
object

Optional translations for the title property.

remittance_account_id
string
expense_accounting_code_id
string
custom_expense_accounting_code_id
string
liability_accounting_code_id
string
custom_liability_accounting_code_id
string
external_ref
string
Maximum string length: 255

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("statutory_withholding_line_item").

data
Statutory Withholding Line Item · object